<?php

// START instagram SECTION 
$wp_customize->add_section(
    'lz_fitness_instagram_section',
    array(
        'title'=> __('instagram', 'lz-fitness-premium'),
        'panel'=> 'lz_fitness_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'lz_fitness_instagram_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_instagram_section_disable',
        array(
            'settings'=>'lz_fitness_instagram_section_disable',
            'section'=>'lz_fitness_instagram_section',
            'label'=>__('Disable Section', 'lz-fitness-premium'),
            'on_off_label'=> array(
                'on'=> __('Yes', 'lz-fitness-premium'),
                'off'=> __('No', 'lz-fitness-premium')
            )
        )
    )
);

backgroundManager($wp_customize, 'instagram', 'lz_fitness_instagram_section', $color='#ffffff');

$wp_customize->add_setting(
   'lz_fitness_instagram_section_into', 
   array(
      'sanitize_callback'=>'lz_fitness_sanitize_text'
  )
);
$wp_customize->add_control(
   new lz_fitness_Customize_Heading(
      $wp_customize, 
      'lz_fitness_instagram_section_into', 
      array(
         'settings'=>'lz_fitness_instagram_section_into', 
         'section'=>'lz_fitness_instagram_section', 
         'label'=>__('Section Title', 'lz-fitness-premium')
     )
  )
);

//instagram title
lzAddElement($wp_customize, 'lz_fitness_instagram_title', 'lz_fitness_instagram_section', 'text', $label = "Title", 'lz_fitness_sanitize_text', 'Instagram');

// Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_instagram_HeadingColor', 'lz_fitness_instagram_section', 'Heading color', '#ffffff');
    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_instagram_SpanHeadingColor', 'lz_fitness_instagram_section', 'Span Text color', '#ffffff');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('lz_fitness_instagram_iframe_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
  new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_instagram_iframe_lbl',
    array(
      'settings'      => 'lz_fitness_instagram_iframe_lbl',
      'section'       => 'lz_fitness_instagram_section',
      'label'         => __( 'instagram Embeded code', 'lz-fitness-premium' ),
    )
  )
);
// field for addeding the map code
$wp_customize->add_setting('lz_fitness_instagram_section_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('lz_fitness_instagram_section_embade', array('settings'=>'lz_fitness_instagram_section_embade', 'section'=>'lz_fitness_instagram_section','type'=>'textarea', 'label'=> __('Code for instagram', 'lz-fitness-premium')));